canmenu=true
local skip= false
local He = 1003
local She = 1004
local frame = 0;
speed= 1;
 start=false
StartTravel(705,1,nil,nil,{"InstantiationOfLine",2,-200,237,1024,237,7,false})
function gameinput (sender,obj_id,attachedID)
 if (sender == 1 or sender == 6) and not isTimes  and imagetex~=-1 then
			set_visible_object(obj.plashechka.id,false)
			set_visible_object(obj[imagetex].id,false)
			del_object_from_game(5654547)		
			gameinput(26,imageid)			
	end
------------------------------------------------------------------------------------------------------------------
	if sender==30 then
		SetCurrentLeaf("boat",15,0);
		flags.start_draw = false;			
		flags.finish = true;
		 speciale_action( 4, obj.completed.id );
		set_visible_object( obj.completed.id, true );
		AddParticleToObject( obj.completed.id, "Level" );
		MoveEmiter( "Level", 512, 384 );
		StartEmiter("Level");
		ShowMenu(false)		
	return;end;
	if sender==33 then
		if plushes_were_closed then
			LevelComplete();
		else
			DrawSkipButton();
		end;
	end;
-------------------------------------------------------------------------------------------------------------------
	
-------------------------------------------------------------------------------------------------------------------
	if sender==41 then
		if skip then return; end;
		if obj_id == 705 then
			StartTravel(706,1,nil,nil,{"InstantiationOfLine",2,-600,321,1024,321,7,false})
		return; end;	
		if obj_id == 706 then
			speciale_action(2,706)
			speciale_action(2,1027,true)			
		return; end;
	return; end;
	if sender==15 then
		if obj_id == 1027 and not start  then
			-- CreateDialog(He,-300,60,She,1024,600);
			-- CreatePlashechka(799,"54","goodgirl")	
			speciale_action(2,1001,true)---в водолазном костюме она  появилась
			speciale_action(2,1002,true)---в водолазном костюме он 
			start=true;
		return; end;
	
	return; end;
	if sender==16 then
		if obj_id == 1001 then
			StartTimer(15,3)
		return; end;
	return; end;
	if sender==36 then
		if obj_id == 15 then
			speciale_action(2,1001,true)	
			speciale_action(2,1002,true)
			speciale_action(2,1027,true)	--
			speciale_action(2,1029,true)
			speciale_action(2,1032,true)
			StartTimer(16,3)
		return; end;
	
		if obj_id == 16 then
			speciale_action(2,1029,true)	--
			speciale_action(2,1027,true)	--
			speciale_action(2,1030,true)
			speciale_action(2,1031,true)
			speciale_action(2,1032,true)
			StartTimer(18,2)
		return; end;
		if obj_id == 18 then
			CloseComPlash()	
		return; end;
	return; end;
	
	if sender==26 then
		-- if obj_id ==799 then
		-- speciale_action(2,1001,true)---в водолазном костюме она  появилась
		-- speciale_action(2,1002,true)---в водолазном костюме он 
		-- return;end
	return ; end;
	if sender==28 then
		BlockCursor(false);
		
		
		if obj_id == 1006 then
			CloseComPlash()	
		return; end;
		
		if frame == 2 and obj_id == He then
			-- speciale_action(2,1001,true)---в водолазном костюме она  появилась
			-- speciale_action(2,1002,true)---в водолазном костюме он 
		return; end;
	return;end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	end;

	if sender == 1 then --кликнули левой кнопкой мыши на активный объект
		if obj_id == skip_id then
			skip= true
			StopTravel(706)
			StopTravel(705)
			BlockCursor(false)
			CloseComPlash()	

		end;
	return;end;
	
	

end
